html {
  box-sizing: border-box;
  font-size: 62.5%;
  scroll-behavior: smooth;
}

*,
*::after,
*::before {
  box-sizing: inherit;
  font-variant-ligatures: none;
}

@font-face {
  font-family: 'Inter';
  src: url('/fonts/Inter-Bold.woff2') format('woff2');
  font-weight: 700;
}

@font-face {
  font-family: 'Inter';
  src: url('/fonts/Inter-Regular.woff2') format('woff2');
  font-weight: 400;
}

body {
  font-family: 'Inter', sans-serif;
  font-size: 1.4rem;
  color: var(--body-color);
}

#__next,
html,
body {
  height: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Inter', serif;
  margin: 0;
}

a {
  color: var(--link-color);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

hr {
  border: 0 none;
  height: 1px;
  background: #e3e4e8;
}

.child-w-full > * {
  width: 100% !important;
}

/* 
    Tooltip
*/

.tippy-theme-cv {
  background: var(--tooltip-color);
  font-size: 13px;
  font-weight: bold;
}

.tippy-theme-cv .tippy-content {
  padding: 4px 9px;
}

.tippy-tooltip.tippy-theme-cv[data-placement^='top'] .tippy-arrow {
  border-top-color: var(--tooltip-color);
  border-width: 4px 4px 0;
  margin: 0 5px;
  bottom: -4px;
}

.tippy-tooltip.tippy-theme-cv[data-placement^='bottom'] .tippy-arrow {
  border-bottom-color: var(--tooltip-color);
  border-width: 0 4px 4px;
  margin: 0 5px;
  top: -4px;
}

.tippy-tooltip.tippy-theme-cv[data-placement^='left'] .tippy-arrow {
  border-left-color: var(--tooltip-color);
  border-width: 4px 0 4px 4px;
  margin: 5px 0;
  right: -4px;
}

.tippy-tooltip.tippy-theme-cv[data-placement^='right'] .tippy-arrow {
  border-right-color: var(--tooltip-color);
  border-width: 4px 4px 4px 0;
  margin: 5px 0;
  left: -4px;
}

/* 
    Datepicker 
*/

.react-datepicker-wrapper {
  display: block !important;
}

.react-datepicker {
  font-family: inherit !important;
  font-size: 1.4rem !important;
  border: 0 none !important;
  border-radius: 0.6rem !important;
  box-shadow: 0px 1px 8px 2px rgba(10, 14, 38, 0.1) !important;
}

.react-datepicker__day-name,
.react-datepicker__day,
.react-datepicker__time-name {
  width: 32px !important;
  line-height: 32px !important;
}

.react-datepicker__day-name {
  color: #fff !important;
  text-transform: capitalize !important;
}

.react-datepicker__day:focus {
  outline: 0 !important;
  box-shadow: 0 0 0 2px rgba(28, 40, 127, 0.65) !important;
  border-radius: 0.6rem !important;
}

.react-datepicker__day--outside-month {
  color: #aeaeae !important;
}

.react-datepicker__header {
  background-color: var(--datepicker-header-bg) !important;
  border-bottom: 0 none !important;
  border-top-left-radius: 0.6rem !important;
  border-top-right-radius: 0.6rem !important;
}

.react-datepicker-time__header,
.react-datepicker-year-header,
.react-datepicker__current-month {
  color: var(--datepicker-header-color) !important;
  font-size: 1.7rem !important;
  text-transform: capitalize !important;
  line-height: 2rem !important;
}

.react-datepicker__day--selected,
.react-datepicker__day--in-selecting-range,
.react-datepicker__day--in-range,
.react-datepicker__month-text--selected,
.react-datepicker__month-text--in-selecting-range,
.react-datepicker__month-text--in-range,
.react-datepicker__quarter-text--selected,
.react-datepicker__quarter-text--in-selecting-range,
.react-datepicker__quarter-text--in-range {
  background-color: var(--datepicker-selected-bg) !important;
  border-radius: 0.6rem !important;
}

.react-datepicker__month {
  margin: 5px !important;
}

.react-datepicker__day:hover,
.react-datepicker__month-text:hover,
.react-datepicker__quarter-text:hover {
  border-radius: 0.6rem !important;
}

.react-datepicker__day--selected:hover,
.react-datepicker__day--in-selecting-range:hover,
.react-datepicker__day--in-range:hover,
.react-datepicker__month-text--selected:hover,
.react-datepicker__month-text--in-selecting-range:hover,
.react-datepicker__month-text--in-range:hover,
.react-datepicker__quarter-text--selected:hover,
.react-datepicker__quarter-text--in-selecting-range:hover,
.react-datepicker__quarter-text--in-range:hover {
  background-color: var(--datepicker-selected-bg-hover) !important;
}

.react-datepicker__day--keyboard-selected,
.react-datepicker__month-text--keyboard-selected,
.react-datepicker__quarter-text--keyboard-selected,
.react-datepicker__year-text--selected,
.react-datepicker__year-text--keyboard-selected {
  border-radius: 0.6rem !important;
  background-color: var(--datepicker-selected-bg) !important;
}

.react-datepicker__month-text.react-datepicker__month--selected:hover,
.react-datepicker__month-text.react-datepicker__month--in-range:hover,
.react-datepicker__month-text.react-datepicker__quarter--selected:hover,
.react-datepicker__month-text.react-datepicker__quarter--in-range:hover,
.react-datepicker__quarter-text.react-datepicker__month--selected:hover,
.react-datepicker__quarter-text.react-datepicker__month--in-range:hover,
.react-datepicker__quarter-text.react-datepicker__quarter--selected:hover,
.react-datepicker__quarter-text.react-datepicker__quarter--in-range:hover {
  background-color: var(--datepicker-selected-bg) !important;
}

.react-datepicker__year-text--selected:hover {
  background-color: var(--datepicker-selected-bg) !important;
  border-radius: 0.6rem !important;
}

.react-datepicker__navigation {
  border: 0 none !important;
  line-height: 23px !important;
  height: 16px !important;
  width: 16px !important;
  top: 10px !important;
  background-position: center center !important;
  border-radius: 2px !important;
}

.react-datepicker__navigation:focus {
  outline: 0 !important;
  box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.4) !important;
}

.react-datepicker__navigation--next {
  background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='chevron-right' class='svg-inline--fa fa-chevron-right fa-w-10' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath fill='%23ffffff' d='M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z'%3E%3C/path%3E%3C/svg%3E") !important;
  background-repeat: no-repeat !important;
}

.react-datepicker__navigation--previous {
  background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='chevron-left' class='svg-inline--fa fa-chevron-left fa-w-10' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath fill='%23ffffff' d='M34.52 239.03L228.87 44.69c9.37-9.37 24.57-9.37 33.94 0l22.67 22.67c9.36 9.36 9.37 24.52.04 33.9L131.49 256l154.02 154.75c9.34 9.38 9.32 24.54-.04 33.9l-22.67 22.67c-9.37 9.37-24.57 9.37-33.94 0L34.52 272.97c-9.37-9.37-9.37-24.57 0-33.94z'%3E%3C/path%3E%3C/svg%3E") !important;
  background-repeat: no-repeat !important;
}

.react-datepicker__time-container
  .react-datepicker__time
  .react-datepicker__time-box
  ul.react-datepicker__time-list
  li.react-datepicker__time-list-item {
  height: 19px !important;
}

.react-datepicker__month-container + .react-datepicker__time-container {
  border-left: 2px solid transparent !important;
}

.react-datepicker__time-container
  .react-datepicker__time
  .react-datepicker__time-box
  ul.react-datepicker__time-list {
  background: var(--datepicker-time-bg) !important;
}

.react-datepicker__time-container
  .react-datepicker__time
  .react-datepicker__time-box
  ul.react-datepicker__time-list
  li.react-datepicker__time-list-item:hover {
  background-color: var(--datepicker-time-hover) !important;
}

.react-datepicker__time-container
  .react-datepicker__time
  .react-datepicker__time-box
  ul.react-datepicker__time-list
  li.react-datepicker__time-list-item--selected,
.react-datepicker__time-container
  .react-datepicker__time
  .react-datepicker__time-box
  ul.react-datepicker__time-list
  li.react-datepicker__time-list-item--selected:hover {
  background-color: var(--datepicker-time-selected) !important;
}

.react-datepicker-year-header {
  padding-bottom: 8px !important;
}

.react-datepicker__month .react-datepicker__month-text,
.react-datepicker__month .react-datepicker__quarter-text {
  padding: 5px 15px !important;
  width: inherit !important;
}

.react-datepicker__year .react-datepicker__year-text {
  padding: 8px 12px !important;
  width: 59px !important;
}

.react-datepicker__month--selected,
.react-datepicker__month--in-selecting-range,
.react-datepicker__month--in-range,
.react-datepicker__quarter--selected,
.react-datepicker__quarter--in-selecting-range,
.react-datepicker__quarter--in-range {
  background-color: var(--datepicker-selected-bg) !important;
}

.react-datepicker__year-wrapper {
  max-width: 190px !important;
}

/* 
    Toast
*/

.Toastify__toast {
  font-family: inherit;
}

.Toastify__toast--error {
  background: var(--toast-error-bg);
  border-radius: 6px;
  font-family: inherit;
}

.Toastify__toast--success {
  background: var(--toast-success-bg);
  border-radius: 6px;
  font-family: inherit;
}

/* Popper */

[data-popper-escaped='true'] {
  visibility: hidden;
  pointer-events: none;
}

/* Emoji mart */

.emoji-mart {
  font-family: inherit;
}

.emoji-mart-category .emoji-mart-emoji span {
  width: 26px !important;
  height: 26px !important;
}

.emoji-mart-preview-data {
  display: none;
}

/* Google RECaptcha */
.grecaptcha-badge {
  visibility: hidden;
}
